Skip to main content
GET
/
v1alpha1
/
inference
/
gateways
List gateways
curl --request GET \
  --url https://api.example.com/v1alpha1/inference/gateways
{
  "items": [
    {
      "spec": {
        "id": "<string>",
        "name": "<string>",
        "zones": [
          "<string>"
        ],
        "coreWeaveAuth": {},
        "weightsAndBiasesAuth": {
          "apiKey": "<string>",
          "serverUrl": "<string>",
          "enableUsageReports": true,
          "enableRateLimiting": true
        },
        "organizationId": "<string>",
        "endpointConfiguration": {
          "additionalDns": [
            "<string>"
          ]
        },
        "bodyBasedRouting": {
          "apiType": 123
        },
        "headerBasedRouting": {
          "headerName": "<string>"
        },
        "pathBasedRouting": {}
      },
      "status": {
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "status": 123,
        "conditions": [
          {
            "type": "<string>",
            "status": 123,
            "lastUpdateTime": "2023-11-07T05:31:56Z",
            "reason": "<string>",
            "message": "<string>",
            "zone": "<string>"
          }
        ],
        "endpoints": [
          "<string>"
        ]
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

updatedAfter
string<date-time>

Filter by those updated after this timestamp

Response

OK

Response for ListGateways

items
object[]
read-only

The list of gateways

Last modified on May 6, 2026